<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingLeft="20dp"
    android:paddingTop="15dp"
    android:paddingRight="20dp"
    android:paddingBottom="15dp">

    <RelativeLayout
        android:id="@+id/questionsinvite_item_icon_container"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginRight="16dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/questionsinvite_item_icon"
            style="@style/frescoCircleStyle"
            android:layout_width="40dp"
            android:layout_height="40dp" />

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/questionsinvite_item_badge"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentBottom="true" />

    </RelativeLayout>

    <TextView
        android:id="@+id/questionsinvite_item_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textSize="14sp"
        android:includeFontPadding="false"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/questionsinvite_item_rl"
        app:layout_constraintLeft_toRightOf="@id/questionsinvite_item_icon_container"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="jack" />

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/sdv_user_badge"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginLeft="4dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/questionsinvite_item_name"
        app:layout_constraintLeft_toRightOf="@id/questionsinvite_item_name"
        app:layout_constraintTop_toTopOf="@id/questionsinvite_item_name" />

    <LinearLayout
        android:id="@+id/questionsinvite_item_rl"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="8dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@id/questionsinvite_item_icon_container"
        app:layout_constraintTop_toBottomOf="@id/questionsinvite_item_name">

        <TextView
            android:id="@+id/questionsinvite_item_des"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:singleLine="true"
            android:includeFontPadding="false"
            android:textColor="@color/text_tertiary"
            android:textSize="11sp"
            tools:text="资深回答者" />

        <TextView
            android:id="@+id/questionsinvite_item_votecount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="8dp"
            android:layout_toRightOf="@id/questionsinvite_item_answercount"
            android:textColor="@color/text_tertiary"
            android:includeFontPadding="false"
            android:textSize="11sp"
            tools:text="34赞" />

        <TextView
            android:id="@+id/questionsinvite_item_answercount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/questionsinvite_item_des"
            android:textColor="@color/text_tertiary"
            android:includeFontPadding="false"
            android:textSize="11sp"
            tools:text="34回答" />
    </LinearLayout>

    <TextView
        android:id="@+id/questionsinvite_item_invite"
        android:layout_width="52dp"
        android:layout_height="26dp"
        android:background="@drawable/button_blue_oval"
        android:gravity="center"
        android:text="@string/invite"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>